Bug 24504 - Autofs doesn't take yp parameters in standard way
Autofs doesn't take yp parameters in standard way
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-21 09:09 EST by Jeremy Sanders
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-20 17:19:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2001-01-21 09:09:31 EST
In RedHat 6.2 and below, autofs would pass the parameters from the auto.master yp file.

xalph6:/<1>yp/src> cat auto.master
/home auto.home -rsize=8192,wsize=8192,intr
/data auto.data -rsize=8192,wsize=8192,intr
/data1 auto.data1 -rsize=8192,wsize=8192,intr
/scratch auto.scratch -rsize=8192,wsize=8192,intr

However, in RH7 and rawhide, these options are ignored. Looking at the startup script,
it seems that autofs now ignores options with a "-" sign at the start.  This is incompatable
with RedHat 6.2 and below, and also with Tru64 Unix. We can't run a heterogeneous network
if both systems do not take the same parameters.
Comment 1 Nalin Dahyabhai 2001-01-24 20:53:51 EST
What is the output of "/sbin/service autofs status" in your
Comment 2 Jeremy Sanders 2001-01-25 06:58:12 EST
xpc3:~> /sbin/service autofs status
Configured Mount Points:
/usr/sbin/automount /scratch yp auto.scratch -rsize=8192,wsize=8192,intr
/usr/sbin/automount /data1 yp auto.data1 -rsize=8192,wsize=8192,intr
/usr/sbin/automount /home yp auto.home -rsize=8192,wsize=8192,intr
/usr/sbin/automount /data yp auto.data -rsize=8192,wsize=8192,intr

Active Mount Points:
/usr/sbin/automount /scratch yp auto.scratch -rsize=8192,wsize=8192,intr
/usr/sbin/automount /data1 yp auto.data1 -rsize=8192,wsize=8192,intr
/usr/sbin/automount /home yp auto.home -rsize=8192,wsize=8192,intr
/usr/sbin/automount /data yp auto.data -rsize=8192,wsize=8192,intr

xpc3:~> cat /proc/mounts
/dev/root / ext2 rw 0 0
/proc /proc proc rw 0 0
/dev/hda4 /xpc3_data1 ext2 rw 0 0
/dev/hda1 /dos vfat rw 0 0
none /dev/pts devpts rw 0 0
automount(pid474) /data1 autofs rw 0 0
automount(pid451) /scratch autofs rw 0 0
automount(pid503) /home autofs rw 0 0
automount(pid535) /data autofs rw 0 0
xalph3.ast.cam.ac.uk:/soft3 /data/soft3 nfs rw,v3,addr=xalph3.ast.cam.ac.uk 0 0
xpc6.ast.cam.ac.uk:/xpc6_data1/home/daw /home/daw nfs
rw,v3,addr=xpc6.ast.cam.ac.uk 0 0
xpc12.ast.cam.ac.uk:/xpc12_data1/home/jss /home/jss nfs
rw,v3,addr=xpc12.ast.cam.ac.uk 0 0
xalph3.ast.cam.ac.uk:/soft3/caldb /data/caldb nfs
rw,v3,addr=xalph3.ast.cam.ac.uk 0 0
xpc12.ast.cam.ac.uk:/xpc12_data1/data/jss /data/jss nfs
rw,v3,addr=xpc12.ast.cam.ac.uk 0 0
xpc9.ast.cam.ac.uk:/xpc9_data1/data/rmj /data/rmj nfs
rw,v3,addr=xpc9.ast.cam.ac.uk 0 0

Mount points above do not take account of the settings.
Comment 3 Nalin Dahyabhai 2001-01-25 15:22:44 EST
Is the output from the status option what's expected?  The automount man page
states that options with leading hyphens are interpreted as being map-specific
options, while those without leading hyphens are interpreted as options for the
mount command used to mount the filesystem.

This would seem to dictate that you'd have to leave the "-" off the front of the
options list to have them work correctly.  Is this the case with other platforms
as well?
Comment 4 Jeremy Sanders 2001-01-26 08:09:37 EST
RH 6.2 and below allowed "-" signs in front of options in the master file.
Compaq Tru64 Unix does not allow options without "-" signs in the auto.master
map. This is unclear from the Tru64 manpage, but the examples in the page help:

man automount


  The following	is a sample auto.master	map:

       # mount-point	       mapname		 mount-options
       /net		       -hosts
       /home		       auto.indirect	 -rw
       /-		       auto.direct	 -ro,intr

  The following	is a typical automount indirect	map:

       # key		   mount-options	 location
       john					 merge:/usr/staff/john
       mary					 stripe:/usr/staff/mary
       fred					 blur:/usr/staff/fred

Leaving off a "-" sign prevents Tru64 from seeing the option on the master map.

Solaris 5.8 also seems to require the "-" sign. From the manpage for autofs:
     # Master map for automounter
     /net          -hosts    -nosuid
     /home         auto_home
     /xfn          -xfn

It seems RH7 should allow "-" signs to be compatible with other UNIXs, as was
allowed in previous versions.

Comment 5 Roderick Johnstone 2001-12-13 06:43:59 EST
This bug/feature still seems to be present in redhat 7.2. Can anyone say whether
will be resolved soon?

Comment 6 Jeffrey Moyer 2004-09-20 17:19:55 EDT
This is resolved in version 4 of the automounter.

Note You need to log in before you can comment on or make changes to this bug.